#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform int grayscale;

void main()
{
	if (grayscale == 0) {
   	gl_FragColor =  texture2D(u_texture, v_texCoord);
	} else {
		vec4 t =  texture2D(u_texture, v_texCoord);
		float gray = dot(t.rgb, vec3(0.299, 0.587, 0.114));
		gl_FragColor = vec4(gray, gray, gray, t.a);
	}
}



